You are not logged in.

#1 2021-02-19 18:30:23

chibo
Member
Registered: 2018-04-27
Posts: 61

can't make a python-pytorch-rocm

please halp! maintainer ignoring me -__-

same error on both my machines


Writing torch/csrc/autograd/generated/Functions.h
Writing torch/csrc/autograd/generated/Functions.cpp
Writing torch/csrc/autograd/generated/variable_factories.h
Writing torch/csrc/jit/generated/generated_unboxing_wrappers_0.cpp
Writing torch/csrc/jit/generated/generated_unboxing_wrappers_1.cpp
Writing torch/csrc/jit/generated/generated_unboxing_wrappers_2.cpp
Writing torch/testing/_internal/generated/annotated_fn_args.py
[3066/4298] Building CXX object caffe2/CMakeFiles/torch_cpu.dir/utils/proto_utils.cc.o
../caffe2/utils/proto_utils.cc: In function 'bool caffe2::ParseProtoFromLargeString(const string&, google::protobuf::Message*)':
../caffe2/utils/proto_utils.cc:204:58: warning: 'void google::protobuf::io::CodedInputStream::SetTotalBytesLimit(int, int)' is deprecated: Please use the single parameter version of SetTotalBytesLimit(). The second parameter is ignored. [-Wdeprecated-declarations]
  204 |   coded_stream.SetTotalBytesLimit(2147483647, 512LL << 20);
      |                                                          ^
In file included from ../third_party/protobuf/src/google/protobuf/message_lite.h:47,
                 from ../third_party/protobuf/src/google/protobuf/generated_enum_util.h:36,
                 from ../third_party/protobuf/src/google/protobuf/generated_enum_reflection.h:44,
                 from ../third_party/protobuf/src/google/protobuf/generated_message_reflection.h:48,
                 from ../third_party/protobuf/src/google/protobuf/message.h:122,
                 from ../caffe2/utils/proto_utils.h:7,
                 from ../caffe2/utils/proto_utils.cc:1:
../third_party/protobuf/src/google/protobuf/io/coded_stream.h:397:8: note: declared here
  397 |   void SetTotalBytesLimit(int total_bytes_limit, int) {
      |        ^~~~~~~~~~~~~~~~~~
../caffe2/utils/proto_utils.cc: In function 'bool caffe2::ReadProtoFromBinaryFile(const char*, google::protobuf::MessageLite*)':
../caffe2/utils/proto_utils.cc:241:56: warning: 'void google::protobuf::io::CodedInputStream::SetTotalBytesLimit(int, int)' is deprecated: Please use the single parameter version of SetTotalBytesLimit(). The second parameter is ignored. [-Wdeprecated-declarations]
  241 |   coded_input->SetTotalBytesLimit(2147483647, 536870912);
      |                                                        ^
In file included from ../third_party/protobuf/src/google/protobuf/message_lite.h:47,
                 from ../third_party/protobuf/src/google/protobuf/generated_enum_util.h:36,
                 from ../third_party/protobuf/src/google/protobuf/generated_enum_reflection.h:44,
                 from ../third_party/protobuf/src/google/protobuf/generated_message_reflection.h:48,
                 from ../third_party/protobuf/src/google/protobuf/message.h:122,
                 from ../caffe2/utils/proto_utils.h:7,
                 from ../caffe2/utils/proto_utils.cc:1:
../third_party/protobuf/src/google/protobuf/io/coded_stream.h:397:8: note: declared here
  397 |   void SetTotalBytesLimit(int total_bytes_limit, int) {
      |        ^~~~~~~~~~~~~~~~~~
[3662/4298] Building CXX object caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o
FAILED: caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o 
/usr/bin/c++ -DCPUINFO_SUPPORTED_PLATFORM=1 -DFMT_HEADER_ONLY=1 -DFXDIV_USE_INLINE_ASSEMBLY=0 -DHAVE_MALLOC_USABLE_SIZE=1 -DHAVE_MMAP=1 -DHAVE_SHM_OPEN=1 -DHAVE_SHM_UNLINK=1 -DIDEEP_USE_MKL -DMINIZ_DISABLE_ZIP_READER_CRC32_CHECKS -DNDEBUG -DNNP_CONVOLUTION_ONLY=0 -DNNP_INFERENCE_ONLY=0 -DONNXIFI_ENABLE_EXT=1 -DONNX_ML=1 -DONNX_NAMESPACE=onnx_torch -DTH_BLAS_MKL -DUSE_DISTRIBUTED -DUSE_EXTERNAL_MZCRC -DUSE_RPC -DUSE_TENSORPIPE -D_FILE_OFFSET_BITS=64 -Dtorch_cpu_EXPORTS -Iaten/src -I../aten/src -I. -I../ -I../cmake/../third_party/benchmark/include -Icaffe2/contrib/aten -I../third_party/onnx -Ithird_party/onnx -I../third_party/foxi -Ithird_party/foxi -I../torch/csrc/api -I../torch/csrc/api/include -I../caffe2/aten/src/TH -Icaffe2/aten/src/TH -Icaffe2/aten/src -Icaffe2/../aten/src -Icaffe2/../aten/src/ATen -I../torch/csrc -I../third_party/miniz-2.0.8 -I../aten/src/TH -I../aten/../third_party/catch/single_include -I../aten/src/ATen/.. -Icaffe2/aten/src/ATen -I../caffe2/core/nomnigraph/include -I../third_party/FXdiv/include -I../c10/.. -Ithird_party/ideep/mkl-dnn/include -I../third_party/ideep/mkl-dnn/src/../include -I../third_party/pthreadpool/include -I../third_party/cpuinfo/include -I../third_party/QNNPACK/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/src -I../third_party/cpuinfo/deps/clog/include -I../third_party/NNPACK/include -I../third_party/fbgemm/include -I../third_party/fbgemm -I../third_party/fbgemm/third_party/asmjit/src -I../third_party/FP16/include -I../third_party/tensorpipe -Ithird_party/tensorpipe -I../third_party/tensorpipe/third_party/libnop/include -I../third_party/fmt/include -isystem third_party/gloo -isystem ../cmake/../third_party/gloo -isystem ../cmake/../third_party/googletest/googlemock/include -isystem ../cmake/../third_party/googletest/googletest/include -isystem ../third_party/protobuf/src -isystem /opt/intel/mkl/include -isystem ../third_party/gemmlowp -isystem ../third_party/neon2sse -isystem ../third_party/XNNPACK/include -isystem ../third_party -isystem ../cmake/../third_party/eigen -isystem /usr/include/python3.9 -isystem /usr/lib/python3.9/site-packages/numpy/core/include -isystem /usr/lib/python3.9/site-packages/pybind11/include -isystem ../third_party/ideep/include -isystem include -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fvisibility-inlines-hidden -DUSE_PTHREADPOOL -fopenmp -DNDEBUG -DUSE_FBGEMM -DUSE_QNNPACK -DUSE_PYTORCH_QNNPACK -DUSE_XNNPACK -DUSE_VULKAN_WRAPPER -O2 -fPIC -Wno-narrowing -Wall -Wextra -Werror=return-type -Wno-missing-field-initializers -Wno-type-limits -Wno-array-bounds -Wno-unknown-pragmas -Wno-sign-compare -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-result -Wno-unused-local-typedefs -Wno-strict-overflow -Wno-strict-aliasing -Wno-error=deprecated-declarations -Wno-stringop-overflow -Wno-psabi -Wno-error=pedantic -Wno-error=redundant-decls -Wno-error=old-style-cast -fdiagnostics-color=always -faligned-new -Wno-unused-but-set-variable -Wno-maybe-uninitialized -fno-math-errno -fno-trapping-math -Werror=format -Wno-stringop-overflow -DHAVE_AVX_CPU_DEFINITION -DHAVE_AVX2_CPU_DEFINITION -O3 -DNDEBUG -DNDEBUG -fPIC   -march=x86-64 -DCAFFE2_USE_GLOO -DHAVE_GCC_GET_CPUID -DUSE_AVX -DUSE_AVX2 -DTH_HAVE_THREAD -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-write-strings -Wno-unknown-pragmas -Wno-missing-braces -Wno-maybe-uninitialized -fvisibility=hidden -O2 -fopenmp -DCAFFE2_BUILD_MAIN_LIB -pthread -DASMJIT_STATIC -std=gnu++14 -MD -MT caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o -MF caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o.d -o caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o -c ../torch/csrc/jit/tensorexpr/ir_printer.cpp
../torch/csrc/jit/tensorexpr/ir_printer.cpp:1:10: fatal error: hip/hip_runtime.h: No such file or directory
    1 | #include "hip/hip_runtime.h"
      |          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
[3693/4298] Building CXX object caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/serialization/import_source.cpp.o
ninja: build stopped: subcommand failed.
Traceback (most recent call last):
  File "/home/chibo/.cache/yay/python-pytorch-rocm/src/pytorch-1.7.1-rocm/setup.py", line 760, in <module>
    build_deps()
  File "/home/chibo/.cache/yay/python-pytorch-rocm/src/pytorch-1.7.1-rocm/setup.py", line 310, in build_deps
    build_caffe2(version=version,
  File "/home/chibo/.cache/yay/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/build_pytorch_libs.py", line 62, in build_caffe2
    cmake.build(my_env)
  File "/home/chibo/.cache/yay/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/setup_helpers/cmake.py", line 349, in build
    self.run(build_args, my_env)
  File "/home/chibo/.cache/yay/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/setup_helpers/cmake.py", line 141, in run
    check_call(command, cwd=self.build_dir, env=env)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['cmake', '--build', '.', '--target', 'install', '--config', 'Release', '--', '-j', '32']' returned non-zero exit status 1.
==> ERROR: A failure occurred in build().
    Aborting...
error making: python-pytorch-rocm

Last edited by chibo (2021-02-19 18:31:19)

Offline

#2 2021-02-19 20:03:20

d_fajardo
Member
Registered: 2017-07-28
Posts: 1,060

Re: can't make a python-pytorch-rocm

It looks like you're coming coming from yay. Try with makepkg.

Offline

#3 2021-02-19 22:13:20

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

 + 16c208feeed...90ec09fd1e2 refs/pull/52442/merge -> refs/pull/52442/merge  (forced update)
 + f7db189a87b...a0b28fe6312 refs/pull/52462/head  -> refs/pull/52462/head  (forced update)
 + 0f78ab6e6aa...d4172c4b053 refs/pull/52462/merge -> refs/pull/52462/merge  (forced update)
 + c65602d92be...b14dfaf0561 refs/pull/52473/head  -> refs/pull/52473/head  (forced update)
 + 2288072ab9f...48c6ea137f8 refs/pull/52473/merge -> refs/pull/52473/merge  (forced update)
  -> Found fix_include_system.patch
  -> Found use-system-libuv.patch
  -> Found use-system-libuv2.patch
  -> Found nccl_version.patch
  -> Found disable_non_x86_64.patch
  -> Found find-hsa-runtime.patch
==> Validating source files with sha256sums...
    pytorch-1.7.1 ... Skipped
    fix_include_system.patch ... Passed
    use-system-libuv.patch ... Passed
    use-system-libuv2.patch ... Passed
    nccl_version.patch ... Passed
    disable_non_x86_64.patch ... Passed
    find-hsa-runtime.patch ... Skipped
==> Extracting sources...
  -> Creating working copy of pytorch-1.7.1 git repo...
From /home/chibo/.cache/yay/python-pytorch-rocm/pytorch-1.7.1
   77771124b3f..208f2c933f2  gh/cccclai/16/head -> origin/gh/cccclai/16/head
 + 55e304eee41...592fce58807 gh/cccclai/16/orig -> origin/gh/cccclai/16/orig  (forced update)
   db33afbf9f6..941ebecc54b  master             -> origin/master
Reset branch 'makepkg'
==> Starting prepare()...
Submodule path 'third_party/nccl/nccl': checked out '033d799524fb97629af5ac2f609de367472b2696'
patching file torch/utils/cpp_extension.py
patching file cmake/Dependencies.cmake
patching file cmake/public/LoadHIP.cmake
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Building with rocm and without non-x86-64 optimizations
patching file tools/setup_helpers/cmake.py
Reversed (or previously applied) patch detected!  Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file tools/setup_helpers/cmake.py.rej
==> ERROR: A failure occurred in build().
    Aborting...
↪ git:(master) ✗ 

clean now and i'll try again

Offline

#4 2021-02-19 22:22:28

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

meh..

↪ git:(master) ✗ makepkg
==> Making package: python-pytorch-rocm 1.7.1-7 (Sat Feb 20 01:13:44 2021)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Cloning pytorch-1.7.1 git repo...
Cloning into bare repository '/home/chibo/.cache/yay/python-pytorch-rocm/pytorch-1.7.1'...
remote: Enumerating objects: 952, done.
remote: Counting objects: 100% (952/952), done.
remote: Compressing objects: 100% (674/674), done.
remote: Total 1404135 (delta 682), reused 349 (delta 278), pack-reused 1403183
Receiving objects: 100% (1404135/1404135), 886.90 MiB | 4.38 MiB/s, done.
Resolving deltas: 100% (1121646/1121646), done.
==> ERROR: fix_include_system.patch was not found in the build directory and is not a URL.
↪ 

Offline

#5 2021-02-19 23:39:06

d_fajardo
Member
Registered: 2017-07-28
Posts: 1,060

Re: can't make a python-pytorch-rocm

ERROR: fix_include_system.patch was not found in the build directory and is not a URL.

The downloaded package is missing a patch.
I suggest downloading a snapshot manually from the AUR site, extract it and it should include the patch.
Run makepkg from there (there might be dependencies needed) and see what the output is.

Offline

#6 2021-02-20 00:06:21

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

@d_fajardo
my first answer is run from downloaded package via yay

Offline

#7 2021-02-20 00:16:51

d_fajardo
Member
Registered: 2017-07-28
Posts: 1,060

Re: can't make a python-pytorch-rocm

my first answer is run from downloaded package via yay

Yes I know that's why I suggested downloading from the AUR site. I downloaded the snapshot myself to check and I can confirm the patch is included in the snapshot.

Offline

#8 2021-02-20 00:22:48

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

git clone https://aur.archlinux.org/python-pytorch-rocm.git

If you do not want to use the snapshot.  Patch is in the current git. Patch was present in post #3 but not post #4.

Offline

#9 2021-02-20 00:27:41

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

caffe2 again, meanwhile caffe2 by itself builds like a charm (but it in conflict)

[3708/4352] /usr/bin/c++ -DCPUINFO_SUPPORTED_PLATFORM=1 -DFMT_HEADER_ONLY=1 -DFXDIV_USE_INLINE_ASSEMBLY=0 -DGFLAGS_IS_A_DLL=0 -DHAVE_MALLOC_USABLE_SIZE=1 -DHAVE_MMAP=1 -DHAVE_SHM_OPEN=1 -DHAVE_SHM_UNLINK=1 -DIDEEP_USE_MKL -DMINIZ_DISABLE_ZIP_READER_CRC32_CHECKS -DNDEBUG -DNNP_CONVOLUTION_ONLY=0 -DNNP_INFERENCE_ONLY=0 -DONNXIFI_ENABLE_EXT=1 -DONNX_ML=1 -DONNX_NAMESPACE=onnx_torch -DTH_BLAS_MKL -DUSE_DISTRIBUTED -DUSE_EXTERNAL_MZCRC -DUSE_RPC -DUSE_TENSORPIPE -D_FILE_OFFSET_BITS=64 -Dtorch_cpu_EXPORTS -Iaten/src -I../aten/src -I. -I../ -I../cmake/../third_party/benchmark/include -Icaffe2/contrib/aten -I../third_party/onnx -Ithird_party/onnx -I../third_party/foxi -Ithird_party/foxi -I../torch/csrc/api -I../torch/csrc/api/include -I../caffe2/aten/src/TH -Icaffe2/aten/src/TH -Icaffe2/aten/src -Icaffe2/../aten/src -Icaffe2/../aten/src/ATen -I../torch/csrc -I../third_party/miniz-2.0.8 -I../aten/src/TH -I../aten/../third_party/catch/single_include -I../aten/src/ATen/.. -Icaffe2/aten/src/ATen -I../caffe2/core/nomnigraph/include -I../third_party/FXdiv/include -I../c10/.. -Ithird_party/ideep/mkl-dnn/include -I../third_party/ideep/mkl-dnn/src/../include -I../third_party/pthreadpool/include -I../third_party/cpuinfo/include -I../third_party/QNNPACK/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/src -I../third_party/cpuinfo/deps/clog/include -I../third_party/NNPACK/include -I../third_party/fbgemm/include -I../third_party/fbgemm -I../third_party/fbgemm/third_party/asmjit/src -I../third_party/FP16/include -I../third_party/tensorpipe -Ithird_party/tensorpipe -I../third_party/tensorpipe/third_party/libnop/include -I../third_party/fmt/include -isystem third_party/gloo -isystem ../cmake/../third_party/gloo -isystem ../cmake/../third_party/googletest/googlemock/include -isystem ../cmake/../third_party/googletest/googletest/include -isystem ../third_party/protobuf/src -isystem /opt/intel/mkl/include -isystem ../third_party/gemmlowp -isystem ../third_party/neon2sse -isystem ../third_party/XNNPACK/include -isystem ../third_party -isystem /usr/include/opencv4 -isystem ../cmake/../third_party/eigen -isystem /usr/include/python3.9 -isystem /usr/lib/python3.9/site-packages/numpy/core/include -isystem /usr/lib/python3.9/site-packages/pybind11/include -isystem ../third_party/ideep/include -isystem include -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fvisibility-inlines-hidden -DUSE_PTHREADPOOL -fopenmp -DNDEBUG -DUSE_FBGEMM -DUSE_QNNPACK -DUSE_PYTORCH_QNNPACK -DUSE_XNNPACK -DUSE_VULKAN_WRAPPER -O2 -fPIC -Wno-narrowing -Wall -Wextra -Werror=return-type -Wno-missing-field-initializers -Wno-type-limits -Wno-array-bounds -Wno-unknown-pragmas -Wno-sign-compare -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-result -Wno-unused-local-typedefs -Wno-strict-overflow -Wno-strict-aliasing -Wno-error=deprecated-declarations -Wno-stringop-overflow -Wno-psabi -Wno-error=pedantic -Wno-error=redundant-decls -Wno-error=old-style-cast -fdiagnostics-color=always -faligned-new -Wno-unused-but-set-variable -Wno-maybe-uninitialized -fno-math-errno -fno-trapping-math -Werror=format -Wno-stringop-overflow -DHAVE_AVX_CPU_DEFINITION -DHAVE_AVX2_CPU_DEFINITION -O3 -DNDEBUG -DNDEBUG -fPIC   -march=x86-64 -DCAFFE2_USE_GLOO -DHAVE_GCC_GET_CPUID -DUSE_AVX -DUSE_AVX2 -DTH_HAVE_THREAD -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-write-strings -Wno-unknown-pragmas -Wno-missing-braces -Wno-maybe-uninitialized -fvisibility=hidden -O2 -fopenmp -DCAFFE2_BUILD_MAIN_LIB -pthread -DASMJIT_STATIC -std=gnu++14 -MD -MT caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_simplifier.cpp.o -MF caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_simplifier.cpp.o.d -o caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_simplifier.cpp.o -c ../torch/csrc/jit/tensorexpr/ir_simplifier.cpp
ninja: build stopped: subcommand failed.
Traceback (most recent call last):
  File "/home/chibo/Downloads/python-pytorch-rocm/src/pytorch-1.7.1-rocm/setup.py", line 760, in <module>
    build_deps()
  File "/home/chibo/Downloads/python-pytorch-rocm/src/pytorch-1.7.1-rocm/setup.py", line 310, in build_deps
    build_caffe2(version=version,
  File "/home/chibo/Downloads/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/build_pytorch_libs.py", line 62, in build_caffe2
    cmake.build(my_env)
  File "/home/chibo/Downloads/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/setup_helpers/cmake.py", line 349, in build
    self.run(build_args, my_env)
  File "/home/chibo/Downloads/python-pytorch-rocm/src/pytorch-1.7.1-rocm/tools/setup_helpers/cmake.py", line 141, in run
    check_call(command, cwd=self.build_dir, env=env)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['cmake', '--build', '.', '--target', 'install', '--config', 'Release', '--', '-j', '32']' returned non-zero exit status 1.
==> ERROR: A failure occurred in build().
    Aborting...
↪ 

Offline

#10 2021-02-20 00:42:54

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

Can you run makepkg again add -C ( to clean the $srcdir first forcing a full rebuild ) and -L ( to log the output to file ) then post the prepare and build logs.  The logs will probably be too big for code tags in which case please use a pastebin.
Edit:
Also the output of

pacman -Ql | grep -F 'hip/hip_runtime.h'

Last edited by loqs (2021-02-20 00:47:05)

Offline

#11 2021-02-20 01:55:20

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

sure

hip-rocclr /opt/rocm/hip/include/hip/hip_runtime.h

meh..
You have exceeded the maximum paste size of 512 kilobytes per paste. PRO users don't have this limit!

https://disk.yandex.ru/d/OtIiCJKBOUr-ag


ps: thanks for such a descriptive way of helping wink

Offline

#12 2021-02-20 02:33:39

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

FAILED: caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o 
/usr/bin/c++ -DCPUINFO_SUPPORTED_PLATFORM=1 -DFMT_HEADER_ONLY=1 -DFXDIV_USE_INLINE_ASSEMBLY=0 -DGFLAGS_IS_A_DLL=0 -DHAVE_MALLOC_USABLE_SIZE=1 -DHAVE_MMAP=1 -DHAVE_SHM_OPEN=1 -DHAVE_SHM_UNLINK=1 -DIDEEP_USE_MKL -DMINIZ_DISABLE_ZIP_READER_CRC32_CHECKS -DNDEBUG -DNNP_CONVOLUTION_ONLY=0 -DNNP_INFERENCE_ONLY=0 -DONNXIFI_ENABLE_EXT=1 -DONNX_ML=1 -DONNX_NAMESPACE=onnx_torch -DTH_BLAS_MKL -DUSE_DISTRIBUTED -DUSE_EXTERNAL_MZCRC -DUSE_RPC -DUSE_TENSORPIPE -D_FILE_OFFSET_BITS=64 -Dtorch_cpu_EXPORTS -Iaten/src -I../aten/src -I. -I../ -I../cmake/../third_party/benchmark/include -Icaffe2/contrib/aten -I../third_party/onnx -Ithird_party/onnx -I../third_party/foxi -Ithird_party/foxi -I../torch/csrc/api -I../torch/csrc/api/include -I../caffe2/aten/src/TH -Icaffe2/aten/src/TH -Icaffe2/aten/src -Icaffe2/../aten/src -Icaffe2/../aten/src/ATen -I../torch/csrc -I../third_party/miniz-2.0.8 -I../aten/src/TH -I../aten/../third_party/catch/single_include -I../aten/src/ATen/.. -Icaffe2/aten/src/ATen -I../caffe2/core/nomnigraph/include -I../third_party/FXdiv/include -I../c10/.. -Ithird_party/ideep/mkl-dnn/include -I../third_party/ideep/mkl-dnn/src/../include -I../third_party/pthreadpool/include -I../third_party/cpuinfo/include -I../third_party/QNNPACK/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/include -I../aten/src/ATen/native/quantized/cpu/qnnpack/src -I../third_party/cpuinfo/deps/clog/include -I../third_party/NNPACK/include -I../third_party/fbgemm/include -I../third_party/fbgemm -I../third_party/fbgemm/third_party/asmjit/src -I../third_party/FP16/include -I../third_party/tensorpipe -Ithird_party/tensorpipe -I../third_party/tensorpipe/third_party/libnop/include -I../third_party/fmt/include -isystem third_party/gloo -isystem ../cmake/../third_party/gloo -isystem ../cmake/../third_party/googletest/googlemock/include -isystem ../cmake/../third_party/googletest/googletest/include -isystem ../third_party/protobuf/src -isystem /opt/intel/mkl/include -isystem ../third_party/gemmlowp -isystem ../third_party/neon2sse -isystem ../third_party/XNNPACK/include -isystem ../third_party -isystem /usr/include/opencv4 -isystem ../cmake/../third_party/eigen -isystem /usr/include/python3.9 -isystem /usr/lib/python3.9/site-packages/numpy/core/include -isystem /usr/lib/python3.9/site-packages/pybind11/include -isystem ../third_party/ideep/include -isystem include -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fvisibility-inlines-hidden -DUSE_PTHREADPOOL -fopenmp -DNDEBUG -DUSE_FBGEMM -DUSE_QNNPACK -DUSE_PYTORCH_QNNPACK -DUSE_XNNPACK -DUSE_VULKAN_WRAPPER -O2 -fPIC -Wno-narrowing -Wall -Wextra -Werror=return-type -Wno-missing-field-initializers -Wno-type-limits -Wno-array-bounds -Wno-unknown-pragmas -Wno-sign-compare -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-result -Wno-unused-local-typedefs -Wno-strict-overflow -Wno-strict-aliasing -Wno-error=deprecated-declarations -Wno-stringop-overflow -Wno-psabi -Wno-error=pedantic -Wno-error=redundant-decls -Wno-error=old-style-cast -fdiagnostics-color=always -faligned-new -Wno-unused-but-set-variable -Wno-maybe-uninitialized -fno-math-errno -fno-trapping-math -Werror=format -Wno-stringop-overflow -DHAVE_AVX_CPU_DEFINITION -DHAVE_AVX2_CPU_DEFINITION -O3 -DNDEBUG -DNDEBUG -fPIC   -march=x86-64 -DCAFFE2_USE_GLOO -DHAVE_GCC_GET_CPUID -DUSE_AVX -DUSE_AVX2 -DTH_HAVE_THREAD -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-write-strings -Wno-unknown-pragmas -Wno-missing-braces -Wno-maybe-uninitialized -fvisibility=hidden -O2 -fopenmp -DCAFFE2_BUILD_MAIN_LIB -pthread -DASMJIT_STATIC -std=gnu++14 -MD -MT caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o -MF caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o.d -o caffe2/CMakeFiles/torch_cpu.dir/__/torch/csrc/jit/tensorexpr/ir_printer.cpp.o -c ../torch/csrc/jit/tensorexpr/ir_printer.cpp
../torch/csrc/jit/tensorexpr/ir_printer.cpp:1:10: fatal error: hip/hip_runtime.h: No such file or directory
    1 | #include "hip/hip_runtime.h"
      |          ^~~~~~~~~~~~~~~~~~~
compilation terminated.

/opt/rocm/hip/include is not one of the specified paths.  From much further up this looks to be the cause:

-- Could NOT find HIP: Found unsuitable version "0.0.0", but required is at least "1.0" (found /opt/rocm/hip)
HIP VERSION: 0.0.0
CMake Warning at cmake/Dependencies.cmake:1229 (message):
  Not using CUDA/ROCM, so disabling USE_NCCL.  Suppress this warning with

Edit:
Check /opt/rocm/hip/bin/.hipVersion

Last edited by loqs (2021-02-20 04:27:17)

Offline

#13 2021-02-20 11:15:51

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

but there is no any '.hipVersion'

↪ ls
ca*                hipcc_cmake_linker_helper*  hipexamine.sh*
extractkernel*     hipconfig*                  hipify-cmakefile*
findcode.sh*       hipconvertinplace-perl.sh*  hipify-perl*
finduncodep.sh*    hipconvertinplace.sh*       lpl*
hip_embed_pch.sh*  hipdemangleatp*
hipcc*             hipexamine-perl.sh*
↪ 

maybe it helps

↪ ./hipconfig
HIP version  : 4.0.20513-4a3c144

== hipconfig
HIP_PATH     : /opt/rocm/hip
ROCM_PATH    : /opt/rocm
HIP_COMPILER : clang
HIP_PLATFORM : hcc
HIP_RUNTIME  : ROCclr
CPP_CONFIG   :  -D__HIP_PLATFORM_HCC__=  -I/opt/rocm/hip/include -I/opt/rocm/llvm/bin/../lib/clang/12.0.0 -I/opt/rocm/hsa/include -D__HIP_ROCclr__

== hip-clang
HSA_PATH         : /opt/rocm/hsa
HIP_CLANG_PATH   : /opt/rocm/llvm/bin
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /opt/rocm/llvm/bin
LLVM (http://llvm.org/):
  LLVM version 12.0.0git
  Optimized build.
  Default target: x86_64-pc-linux-gnu
  Host CPU: (unknown)

  Registered Targets:
    amdgcn - AMD GCN GPUs
    r600   - AMD GPUs HD2XXX-HD6XXX
    x86    - 32-bit X86: Pentium-Pro and above
    x86-64 - 64-bit X86: EM64T and AMD64
hip-clang-cxxflags : -D__HIP_ROCclr__ -std=c++11 -isystem /opt/rocm/llvm/lib/clang/12.0.0/include/.. -isystem /opt/rocm/hsa/include -D__HIP_ROCclr__ -isystem /opt/rocm/hip/include -O3
hip-clang-ldflags  :  -L/opt/rocm/hip/lib -O3 -lgcc_s -lgcc -lpthread -lm

=== Environment Variables
PATH=/opt/unreal-engine/Engine/Binaries/Linux/:/usr/local/sbin:/usr/local/bin:/usr/bin:/opt/cuda/bin:/opt/cuda/integration/nsight-compute:/opt/cuda/integration/nsight-systems:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
CUDA_PATH=/opt/cuda

== Linux Kernel
Hostname     : Can't exec "hostname": No such file or directory at ./hipconfig line 262.
Linux reache 5.10.16-arch1-1 #1 SMP PREEMPT Sat, 13 Feb 2021 20:50:18 +0000 x86_64 GNU/Linux
LSB Version:    1.4
Distributor ID: Arch
Description:    Arch Linux
Release:        rolling
Codename:       n/a

↪ 

Last edited by chibo (2021-02-20 11:18:20)

Offline

#14 2021-02-20 11:37:56

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

pacman -Qlp hip-rocclr-4.0.0-2-x86_64.pkg.tar.zst
hip-rocclr /etc/
hip-rocclr /etc/ld.so.conf.d/
hip-rocclr /etc/ld.so.conf.d/hip.conf
hip-rocclr /opt/
hip-rocclr /opt/rocm/
hip-rocclr /opt/rocm/bin/
hip-rocclr /opt/rocm/bin/.hipVersion
hip-rocclr /opt/rocm/hip/
hip-rocclr /opt/rocm/hip/bin/
hip-rocclr /opt/rocm/hip/bin/.hipVersion
hip-rocclr /opt/rocm/hip/bin/ca
hip-rocclr /opt/rocm/hip/bin/extractkernel
hip-rocclr /opt/rocm/hip/bin/findcode.sh
hip-rocclr /opt/rocm/hip/bin/finduncodep.sh
hip-rocclr /opt/rocm/hip/bin/hip_embed_pch.sh
hip-rocclr /opt/rocm/hip/bin/hipcc
hip-rocclr /opt/rocm/hip/bin/hipcc_cmake_linker_helper
hip-rocclr /opt/rocm/hip/bin/hipconfig
hip-rocclr /opt/rocm/hip/bin/hipconvertinplace-perl.sh
hip-rocclr /opt/rocm/hip/bin/hipconvertinplace.sh
hip-rocclr /opt/rocm/hip/bin/hipdemangleatp
hip-rocclr /opt/rocm/hip/bin/hipexamine-perl.sh
hip-rocclr /opt/rocm/hip/bin/hipexamine.sh
hip-rocclr /opt/rocm/hip/bin/hipify-cmakefile
hip-rocclr /opt/rocm/hip/bin/hipify-perl
hip-rocclr /opt/rocm/hip/bin/lpl
hip-rocclr /opt/rocm/hip/cmake/
hip-rocclr /opt/rocm/hip/cmake/FindHIP.cmake
hip-rocclr /opt/rocm/hip/cmake/FindHIP/
hip-rocclr /opt/rocm/hip/cmake/FindHIP/run_hipcc.cmake
hip-rocclr /opt/rocm/hip/cmake/FindHIP/run_make2cmake.cmake
hip-rocclr /opt/rocm/hip/cmake/FindROCR.cmake
hip-rocclr /opt/rocm/hip/cmake/FindROCT.cmake
hip-rocclr /opt/rocm/hip/include/
hip-rocclr /opt/rocm/hip/include/hip/
hip-rocclr /opt/rocm/hip/include/hip/channel_descriptor.h
hip-rocclr /opt/rocm/hip/include/hip/device_functions.h
hip-rocclr /opt/rocm/hip/include/hip/driver_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/channel_descriptor.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/concepts.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/cuda/
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/cuda/cuda.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/cuda/math_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/device_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/device_library_decls.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/driver_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elf_types.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_dump.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_dynamic.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_header.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_note.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_relocation.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_section.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_segment.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_strings.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_symbols.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/elfio/elfio_utils.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/functional_grid_launch.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/grid_launch.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/grid_launch.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/grid_launch_GGL.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/helpers.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_atomic.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_common.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_complex.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_cooperative_groups.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_cooperative_groups_helper.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_fp16.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_fp16_gcc.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_fp16_math_fwd.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_ldg.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_memory.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_prof_str.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_runtime.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_runtime_api.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_runtime_prof.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_surface_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_texture_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hip_vector_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hiprtc.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/host_defines.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/hsa_helpers.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/library_types.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/llvm_intrinsics.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/macro_based_grid_launch.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/math_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/math_fwd.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/ockl_image.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/program_state.hpp
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/surface_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/texture_fetch_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/texture_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/texture_indirect_functions.h
hip-rocclr /opt/rocm/hip/include/hip/hcc_detail/texture_types.h
hip-rocclr /opt/rocm/hip/include/hip/hip_bfloat16.h
hip-rocclr /opt/rocm/hip/include/hip/hip_common.h
hip-rocclr /opt/rocm/hip/include/hip/hip_complex.h
hip-rocclr /opt/rocm/hip/include/hip/hip_cooperative_groups.h
hip-rocclr /opt/rocm/hip/include/hip/hip_ext.h
hip-rocclr /opt/rocm/hip/include/hip/hip_fp16.h
hip-rocclr /opt/rocm/hip/include/hip/hip_hcc.h
hip-rocclr /opt/rocm/hip/include/hip/hip_profile.h
hip-rocclr /opt/rocm/hip/include/hip/hip_runtime.h
hip-rocclr /opt/rocm/hip/include/hip/hip_runtime_api.h
hip-rocclr /opt/rocm/hip/include/hip/hip_texture_types.h
hip-rocclr /opt/rocm/hip/include/hip/hip_vector_types.h
hip-rocclr /opt/rocm/hip/include/hip/hip_version.h
hip-rocclr /opt/rocm/hip/include/hip/hiprtc.h
hip-rocclr /opt/rocm/hip/include/hip/library_types.h
hip-rocclr /opt/rocm/hip/include/hip/math_functions.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/channel_descriptor.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/hip_complex.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/hip_cooperative_groups.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/hip_runtime.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/hip_runtime_api.h
hip-rocclr /opt/rocm/hip/include/hip/nvcc_detail/hip_texture_types.h
hip-rocclr /opt/rocm/hip/include/hip/texture_types.h
hip-rocclr /opt/rocm/hip/lib/
hip-rocclr /opt/rocm/hip/lib/.hipInfo
hip-rocclr /opt/rocm/hip/lib/cmake/
hip-rocclr /opt/rocm/hip/lib/cmake/hip/
hip-rocclr /opt/rocm/hip/lib/cmake/hip/hip-config-version.cmake
hip-rocclr /opt/rocm/hip/lib/cmake/hip/hip-config.cmake
hip-rocclr /opt/rocm/hip/lib/cmake/hip/hip-targets-release.cmake
hip-rocclr /opt/rocm/hip/lib/cmake/hip/hip-targets.cmake
hip-rocclr /opt/rocm/hip/lib/hip_prof_str.h
hip-rocclr /opt/rocm/hip/lib/libamdhip64.so
hip-rocclr /opt/rocm/hip/lib/libamdhip64.so.4
hip-rocclr /opt/rocm/hip/lib/libamdhip64.so.4.0.21076-
hip-rocclr /opt/rocm/hip/rocclr/
hip-rocclr /opt/rocm/hip/rocclr/CMakeLists.txt
hip-rocclr /opt/rocm/hip/rocclr/cl_gl.cpp
hip-rocclr /opt/rocm/hip/rocclr/cl_gl_amd.hpp
hip-rocclr /opt/rocm/hip/rocclr/cl_lqdflash_amd.cpp
hip-rocclr /opt/rocm/hip/rocclr/cl_lqdflash_amd.h
hip-rocclr /opt/rocm/hip/rocclr/fixme.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_activity.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_code_object.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_code_object.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_context.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_conversions.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_device.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_device_runtime.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_error.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_event.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_event.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_fatbin.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_fatbin.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_formatting.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_global.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_global.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_hcc.def.in
hip-rocclr /opt/rocm/hip/rocclr/hip_hcc.map.in
hip-rocclr /opt/rocm/hip/rocclr/hip_hcc.rc
hip-rocclr /opt/rocm/hip/rocclr/hip_hmm.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_intercept.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_internal.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_memory.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_module.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_peer.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_platform.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_platform.hpp
hip-rocclr /opt/rocm/hip/rocclr/hip_prof_api.h
hip-rocclr /opt/rocm/hip/rocclr/hip_prof_gen.py
hip-rocclr /opt/rocm/hip/rocclr/hip_profile.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_rtc.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_stream.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_surface.cpp
hip-rocclr /opt/rocm/hip/rocclr/hip_texture.cpp
hip-rocclr /opt/rocm/hip/rocclr/hiprtc_internal.hpp
hip-rocclr /opt/rocm/hip/rocclr/trace_helper.h
hip-rocclr /opt/rocm/include/
hip-rocclr /opt/rocm/include/hip
hip-rocclr /usr/
hip-rocclr /usr/bin/
hip-rocclr /usr/bin/hipcc
hip-rocclr /usr/bin/hipconfig
hip-rocclr /usr/share/
hip-rocclr /usr/share/licenses/
hip-rocclr /usr/share/licenses/hip-rocclr/
hip-rocclr /usr/share/licenses/hip-rocclr/LICENSE

Offline

#15 2021-02-20 12:28:02

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

↪ s hip-rocclr
Searching... [---]###
aur/hip-rocclr 4.0.0-2 [installed] (1, 0.01)
    Heterogeneous Interface for Portability ROCm    
↪ /opt/rocm/hip/bin/.hipVersion
fish: The file '/opt/rocm/hip/bin/.hipVersion' is not executable by this user
↪ sudo /opt/rocm/hip/bin/.hipVersion
sudo: /opt/rocm/hip/bin/.hipVersion: command not found
↪

-------

↪ tree /opt/rocm/hip/bin/
/opt/rocm/hip/bin/
|-- ca
|-- extractkernel
|-- findcode.sh
|-- finduncodep.sh
|-- hip_embed_pch.sh
|-- hipcc
|-- hipcc_cmake_linker_helper
|-- hipconfig
|-- hipconvertinplace-perl.sh
|-- hipconvertinplace.sh
|-- hipdemangleatp
|-- hipexamine-perl.sh
|-- hipexamine.sh
|-- hipify-cmakefile
|-- hipify-perl
`-- lpl

0 directories, 16 files

reinstalling now
----
same
-----
build via makepkg -C -L -f

finally get

# Auto-generated by cmake
HIP_PACKAGING_VERSION_PATCH=20513.14-4a3c144
CPACK_DEBIAN_PACKAGE_RELEASE=local
CPACK_RPM_PACKAGE_RELEASE=local
HIP_VERSION_MAJOR=4
HIP_VERSION_MINOR=0
HIP_VERSION_PATCH=20513-4a3c144

Last edited by chibo (2021-02-20 12:53:48)

Offline

#16 2021-02-20 14:37:46

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

Is python-pytorch-rocm still finding version 0.0.0?
Edit:
From FindHIP.cmake

...
    # Find HIPCONFIG executable
    find_program(
        HIP_HIPCONFIG_EXECUTABLE
        NAMES hipconfig
        PATHS
        "${HIP_ROOT_DIR}"
        ENV ROCM_PATH
        ENV HIP_PATH
        /opt/rocm
        /opt/rocm/hip
        PATH_SUFFIXES bin
        NO_DEFAULT_PATH
        )
    if(NOT HIP_HIPCONFIG_EXECUTABLE)
        # Now search in default paths
        find_program(HIP_HIPCONFIG_EXECUTABLE hipconfig)
    endif()
    mark_as_advanced(HIP_HIPCONFIG_EXECUTABLE)
...
    if(HIP_HIPCONFIG_EXECUTABLE AND NOT HIP_VERSION)
        # Compute the version
        execute_process(
            COMMAND ${HIP_HIPCONFIG_EXECUTABLE} --version
            OUTPUT_VARIABLE _hip_version
            ERROR_VARIABLE _hip_error
            OUTPUT_STRIP_TRAILING_WHITESPACE
            ERROR_STRIP_TRAILING_WHITESPACE
            )
        if(NOT _hip_error)
            set(HIP_VERSION ${_hip_version} CACHE STRING "Version of HIP as computed from hipcc")
        else()
            set(HIP_VERSION "0.0.0" CACHE STRING "Version of HIP as computed by FindHIP()")
        endif()
        mark_as_advanced(HIP_VERSION)
    endif()
    if(HIP_VERSION)
        string(REPLACE "." ";" _hip_version_list "${HIP_VERSION}")
        list(GET _hip_version_list 0 HIP_VERSION_MAJOR)
        list(GET _hip_version_list 1 HIP_VERSION_MINOR)
        list(GET _hip_version_list 2 HIP_VERSION_PATCH)
        set(HIP_VERSION_STRING "${HIP_VERSION}")
    endif()
...

Last edited by loqs (2021-02-20 14:42:00)

Offline

#17 2021-02-20 14:52:48

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

yep

jvovTtN.png

Offline

#18 2021-02-20 14:57:28

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

Redirect stdout to /dev/null any output left should be from stderr which would cause the version to be set to 0.0.0.

hipconfig > /dev/null

Offline

#19 2021-02-20 15:12:51

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

↪ hipconfig > /dev/null
Can't exec "hostname": No such file or directory at /usr/bin/hipconfig line 262.


--
    print "Hostname     : "; system ("hostname");

Offline

#20 2021-02-20 15:17:41

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

Either install inetutils or change that line to:

    print "Hostname     : "; system ("uname -n");

Offline

#21 2021-02-20 15:22:52

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

>change that line to
i would rather prefer the devs to do this wink


installed inetutils, "hipconfig > /dev/null" -> zero output

Offline

#22 2021-02-20 15:30:35

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

Now try building python-pytorch-rocm and check you no longer get

-- Could NOT find HIP: Found unsuitable version "0.0.0", but required is at least "1.0" (found /opt/rocm/hip)
HIP VERSION: 0.0.0
CMake Warning at cmake/Dependencies.cmake:1229 (message):
  Not using CUDA/ROCM, so disabling USE_NCCL.  Suppress this warning with

Offline

#23 2021-02-20 15:37:27

chibo
Member
Registered: 2018-04-27
Posts: 61

Re: can't make a python-pytorch-rocm

if problem was in fsmall dep, i just.....
___

Building wheel torch-1.7.0a0
-- Building version 1.7.0a0
cmake --build . --target install --config Release -- -j 32
ninja: error: '/opt/rocm/hip/lib/libamdhip64.so4a3c144', needed by 'caffe2/python/caffe2_pybind11_state_hip.cpython-39-x86_64-linux-gnu.so', missing and no known rule to make it

____

at least i can now google and bug report the error, thank you loqs ! smile

Last edited by chibo (2021-02-20 15:57:38)

Offline

#24 2021-02-21 02:57:22

loqs
Member
Registered: 2014-03-06
Posts: 13,005

Re: can't make a python-pytorch-rocm

If you need any help please post the build log for the current failure..

Offline

Board footer

Powered by FluxBB